- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Protected Attributes | Friends | List of all members
pdftron::PDF::WordOutputOptions Class Reference

`#include <Convert.h>`

## Public Types
enum | WordOutputFormat { e_wof_docx = 0, e_wof_doc, e_wof_rtf, e_wof_txt }
enum | SearchableImageSetting { e_ocr_image_text = 0, e_ocr_image, e_ocr_text, e_ocr_off, e_ocr_always }

## Public Member Functions
| WordOutputOptions ()
void | SetWordOutputFormat (WordOutputFormat format)
void | SetPages (int page_from, int page_to)
void | SetPDFPassword (const UString &password)
void | SetSearchableImageSetting (SearchableImageSetting setting)
void | SetTextRecoveryNSE (bool use_ocr)
void | SetDetectTOC (bool detect_toc)
void | SetConnectHyphens (bool connect)
void | SetLanguage (OutputOptionsOCR::LanguageChoice language)
void | SetPreferredOCREngine (OutputOptionsOCR::PreferredOCREngine engine)
void | SetCustomOCRLanguage (const UString &ocrlang)
void | SetPrioritizeVisualAppearance (bool replica)
void | SetHeadersAndFootersSetting (StructuredOutputOptions::SectionConversionSetting option)
void | SetFootnotesSetting (StructuredOutputOptions::SectionConversionSetting option)
StructuredOutputOptions::SectionConversionSetting | GetHeadersAndFootersSetting ()
StructuredOutputOptions::SectionConversionSetting | GetFootnotesSetting ()

## Protected Attributes
TRN_Obj | m_obj
SDF::ObjSet | m_objset

## Friends
class | Convert

## Detailed Description

A class containing options common to ToWord functions

Definition at line 1945 of file Convert.h.

## Member Enumeration Documentation

enum pdftron::PDF::WordOutputOptions::SearchableImageSetting

Enumerator
e_ocr_image_text |
e_ocr_image |
e_ocr_text |
e_ocr_off |
e_ocr_always |

Definition at line 1983 of file Convert.h.

enum pdftron::PDF::WordOutputOptions::WordOutputFormat

Enumerator
e_wof_docx |
e_wof_doc |
e_wof_rtf |
e_wof_txt |

Definition at line 1953 of file Convert.h.

## Constructor & Destructor Documentation

pdftron::PDF::WordOutputOptions::WordOutputOptions | ( |  | ) |

Creates a WordOutputOptions object with default settings.

## Member Function Documentation

StructuredOutputOptions::SectionConversionSetting pdftron::PDF::WordOutputOptions::GetFootnotesSetting | ( |  | ) |

Get the setting for footnotes from this options object.

Returns
  The current footnote setting.

StructuredOutputOptions::SectionConversionSetting pdftron::PDF::WordOutputOptions::GetHeadersAndFootersSetting | ( |  | ) |

Get the setting for headers and footers from this options object.

Returns
  The current header and footer setting.

void pdftron::PDF::WordOutputOptions::SetConnectHyphens | ( | bool | connect | ) |

Specifies whether hyphens in the PDF should be connected. Default is false.

Parameters

  connect | if true, hyphens in the PDF will be connected.

void pdftron::PDF::WordOutputOptions::SetCustomOCRLanguage | ( | const UString & | ocrlang | ) |

Specifies the custom OCR languages to use.

Note
  Use 3-letter ISO 639-2 language codes, separated by spaces. Example: "eng deu spa fra". The default is English.

Parameters

  ocrlang | the OCR language(s).

void pdftron::PDF::WordOutputOptions::SetDetectTOC | ( | bool | detect_toc | ) |

Specifies whether Table of Contents should be detected from the document content when converting to Word. Default is true.

Note
  This option should only be used by customers who are already familiar with the Solid Documents SDK from being a customer, or if they have been advised by support.

Parameters

  detect_toc | If true, Table of Contents is automatically detected. If false, no Table of Contents detection is performed.

void pdftron::PDF::WordOutputOptions::SetFootnotesSetting | ( | StructuredOutputOptions::SectionConversionSetting | option | ) |

Specifies how footnotes should be converted. Default is e_Recover, which will include them as footnotes.

Parameters

  option | The footnote setting.

void pdftron::PDF::WordOutputOptions::SetHeadersAndFootersSetting | ( | StructuredOutputOptions::SectionConversionSetting | option | ) |

Specifies how header and footers should be converted. Default is e_Recover, which will include them as headers and footers.

Parameters

  option | The header and footer setting.

void pdftron::PDF::WordOutputOptions::SetLanguage | ( | OutputOptionsOCR::LanguageChoice | language | ) |

Specifies the OCR language. Default is automatic language detection.

Parameters

  language | the OCR language.

void pdftron::PDF::WordOutputOptions::SetPages | ( | int | page_from,
|  | int | page_to
| ) |  |

Specifies a range of pages to be converted. By default all pages are converted. The first page has the page number of 1.

Parameters

  page_from | the first page to be converted.
  page_to | the last page to be converted (inclusive). Use a negative value to specify the last page in the PDF.

void pdftron::PDF::WordOutputOptions::SetPDFPassword | ( | const UString & | password | ) |

Specifies the password if the PDF requires one.

Parameters

  password | the PDF password, if required; an empty string otherwise.

void pdftron::PDF::WordOutputOptions::SetPreferredOCREngine | ( | OutputOptionsOCR::PreferredOCREngine | engine | ) |

Specifies preferred OCR engine.

Parameters

  engine | The PreferredOCREngine to OCR.

void pdftron::PDF::WordOutputOptions::SetPrioritizeVisualAppearance | ( | bool | replica | ) |

Specifies whether to prefer an exact visual replica of the PDF at the expense of preventing reflow of document paragraphs. Default is false.

Parameters

  replica | False is preferred for most documents that contain paragraphs. Consider using true for documents that don't flow, such as CAD drawings, Illustrator-generated files.

void pdftron::PDF::WordOutputOptions::SetSearchableImageSetting | ( | SearchableImageSetting | setting | ) |

Specifies how scanned image pages should be converted. Default is e_ocr_text.

Parameters

  setting | the searchable image setting.

Remarks
  Pre-existing OCRed content is ignored and a new OCR is performed from scratch.

See Also
  SearchableImageSetting

void pdftron::PDF::WordOutputOptions::SetTextRecoveryNSE | ( | bool | use_ocr | ) |

Specifies whether to use OCR in order to automatically recover text with a non-standard encoding. Default is true.

Note
  This option should only be used by customers who are already familiar with the Solid Documents SDK from being a customer, or if they have been advised by support.

Parameters

  use_ocr | If true, problem characters are automatically recovered using OCR. If false, no automatic repair is performed.

void pdftron::PDF::WordOutputOptions::SetWordOutputFormat | ( | WordOutputFormat | format | ) |

Specifies the output document format (DOCX, RTF, TXT). It is the most useful when the output file extension is not .docx, .rtf or .txt.

Parameters

  format | the output document format (DOCX, RTF, TXT).

Remarks
  The DOC file format is now deprecated, DOCX is used automatically instead.

See Also
  WordOutputFormat

## Friends And Related Function Documentation

friend class Convert
| friend

Definition at line 2071 of file Convert.h.

## Member Data Documentation

TRN_Obj pdftron::PDF::WordOutputOptions::m_obj
| protected

Definition at line 2070 of file Convert.h.

SDF::ObjSet pdftron::PDF::WordOutputOptions::m_objset
| protected

Definition at line 2072 of file Convert.h.

The documentation for this class was generated from the following file:

- PDF/Convert.h